package com.zm.order.tool.server.request;

import com.alibaba.fastjson.JSON;
import com.zm.order.tool.server.model.BasePageRequest;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.List;

/**
 * 管里员查询订单请求
 *
 * @Author 陈标
 * @Date 2019/12/18 16:09
 */

public class ListOrderOperationsRequest implements Serializable {

    private static final long serialVersionUID = 3755744022953937556L;

    @ApiModelProperty(value = "订单号列表", required = true)
     private List<String> orderNoList;

    @ApiModelProperty(value = "订单号", required = true)
    private String orderNo;

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public List<String> getOrderNoList() {
        return orderNoList;
    }

    public void setOrderNoList(List<String> orderNoList) {
        this.orderNoList = orderNoList;
    }


    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }
}
